Announcement

We're EpicBrowser on Twitter and on Facebook. Email our Founder directly with questions as well: alok at hiddenreflex dot com
New Users: we've had to temporarily block new registrations due to spam. If you have a post or query, email it to Alok and he'll try to help you and or post it to the forum.

#1 2015-09-05 18:47:45

ragfraser
Guest

HMRC REPORTS THAT EPIC IS A BAD BROWSER.

HMRC have updated their computer system and has sent out emails regarding 'Browsers'.   Their email states that after 30th September, 2015 any users using SSLv3 will be unable to connect to HMRC services, so unless Browser(or softwase) supports 'Transport Layer Security' (TLS)1.0 or above, you will not be able to connect to HMRC Services after 30th September, 2015.  There is a link on the email so that you can check if your browser is compatible with HMRC system.   Hence I have had to change browser as 'EPIC' has been listed as a 'BAD' browser.   As I use their website a lot in connection with work needs I have been forced to change my default browser and I am unhappy having to do this as I would say 'EPIC' is the most secure browser that I have used and would like to see HMRC have EPIC added to their system as a recognised secure browser.

Offline

Board footer